/*
 * $Id: commandid.h,v 1.3 2005/11/24 14:21:03 ozawa Exp $
 *
 * Copyright 2003- ONGS Inc. All rights reserved.
 * 
 * author: Masanori OZAWA (ozawa@ongs.co.jp)
 * version: $Revision: 1.3 $
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY ONGS INC ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL ONGS INC OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * The views and conclusions contained in the software and documentation are
 * those of the authors and should not be interpreted as representing official
 * policies, either expressed or implied, of the ONGS Inc.
 * 
 */

#ifndef ___COMMANDID_H
#define ___COMMANDID_H

typedef struct _COMMAND {
    u_int32_t       nCommandID;
    u_int32_t       nFileID;
    u_int32_t       nExtraFlag;
    u_int32_t       nDataLen;
    void           *pData;
} COMMAND, *LP_COMMAND;

//_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
// FIO -> WND ׵
#define CREATE_NEW_FUSENSHI_WINDOW      (0x00010001)    // 䵻楦ɥο
#define VERIFY_RECEIVE_DATA             (0x00010002)    // βݤ桼˼䤹
#define CALL_WND_SERVICE_COMMAND        (0x00010100)    // WndӥޥɤƤӽФ

//ĥե饰
#define CALL_WND_SERVICE_COMMAND_SHOW_ALL   (0x00000001)    // 䵻楦ɥɽ
#define CALL_WND_SERVICE_COMMAND_HIDE_ALL   (0x00000002)    // 䵻楦ɥɽ

//_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
// WND -> FIO ׵
#define EXIT_APP                        (0x0002ffff)    // ץꥱνλ
#define CREATE_NEW_FUSENSHI             (0x00020001)    // 䵻ο׵
#define DELETE_FUSENSHI                 (0x00020002)    // 䵻κ׵
#define SAVE_FUSENSHI                   (0x00020003)    // 䵻¸׵
#define PRINT_FUSENSHI                  (0x00020004)    // 䵻ΰ׵

//_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
// ׵
#define PROPERTY_CHANGED                (0x00030001)    // ץѥƥι

//_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/

#endif
