/*
 * $Id: misc.h,v 1.2 2004/11/04 17:39:52 ozawa Exp $
 *
 * Copyright 2003- ONGS Inc. All rights reserved.
 *
 * author: Masanori OZAWA (ozawa@ongs.co.jp)
 * version: $Revision: 1.2 $
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY ONGS INC ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL ONGS INC OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * The views and conclusions contained in the software and documentation are
 * those of the authors and should not be interpreted as representing official
 * policies, either expressed or implied, of the ONGS Inc.
 * 
 */

#ifndef ___MISC_H
#define ___MISC_H

#ifndef __cplusplus
#define __cplusplus
#endif

#include "glib.h"

/**
 * 桼Υۡǥ쥯ȥؤΥѥޤ
 *
 * @return 桼Υۡǥ쥯ȥؤΥѥ
 *         ѥβ/ϤʤǤ
 */
extern const char* getHomeDir();

/**
 * ץꥱѤΥǥ쥯ȥؤΥѥޤ
 *
 * @param pAppName ץꥱ̾ꤷޤ(NULL Terminated)
 * @return ץꥱѤΥǥ쥯ȥؤΥѥ
 *         ǥ쥯ȥ̾νü pAppName νüƱǤ
 *         ѥβ/ϤʤǤ
 */
extern const char* getAppDir(const char *pAppName);

/**
 * 䵻ѤΥǥ쥯ȥ꤬¸ߤʤϡ˹ۤޤ
 */
extern void createFusenshiDir();

/**
 * 䵻ե̾ޤ
 *
 * @return 䵻եΥե̾
 *         եιۤϹԤޤ
 *         פˤʤäߥ󥰤 free() Ƥ
 */
extern char* createNewFusenshiFileName();

/**
 * ʸζޤ
 * 
 * @param szSrc ʸ
 * @return ζʸ
 */
extern Glib::ustring strTrim(Glib::ustring& szSrc);

/**
 * ʸζޤ
 * 
 * @param szSrc ʸ
 * @return ζʸ
 */
extern Glib::ustring strTrimLeft(Glib::ustring& szSrc);

/**
 * ʸθζޤ
 * 
 * @param szSrc ʸ
 * @return ζʸ
 */
extern Glib::ustring strTrimRight(Glib::ustring& szSrc);

/**
 * IPɥ쥹ʸɽޤ
 * 
 * @param nAddr IPɥ쥹
 * @return IPɥ쥹ʸɽ
 */
extern Glib::ustring IP2STR(long nAddr);

/**
 * ʸ󤫤鿧ꤷޤ
 * 
 * @param pColor GdkColor¤
 * @param pValue ݻʸ
 * @return  true ᤹
 */
extern bool string2color(GdkColor *pColor, const char *pValue);

/**
 * ɽʸޤ
 * 
 * @param pColor GdkColor¤
 * @param szBuffer ʸǼХåե
 */
extern void color2string(const GdkColor *pColor, Glib::ustring& szBuffer);

#endif
