/*
 * $Id: fusenshimainwnd.h,v 1.7 2005/02/04 17:07:41 ozawa Exp $
 *
 * Copyright 2004- ONGS Inc. All rights reserved.
 * 
 * author: Masanori OZAWA (ozawa@ongs.co.jp)
 * version: $Revision: 1.7 $
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are permitted provided that the following conditions
 * are met:
 * 
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY ONGS INC ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL ONGS INC OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * The views and conclusions contained in the software and documentation are
 * those of the authors and should not be interpreted as representing official
 * policies, either expressed or implied, of the ONGS Inc.
 * 
 */

#ifndef ___FUSENSHIMAINWND_H
#define ___FUSENSHIMAINWND_H

#include "fusenshimainwndeventprocessor.h"
#include "fusenshimainwnd_trayicon.h"

class FusenshiMainWnd : public Gtk::Window , public FusenshiMainWndEventProcessor
{
public:
    /**
     * ǥȥ饯
     */
    virtual ~FusenshiMainWnd();

    /**
     * ͣΥ󥹥󥹤ޤ
     */
    static FusenshiMainWnd* getInstance();
    
    /**
     * ɥ˴ץꥱνλޤ
     */
    static void destroy();
    
public:
    /**
     * ץѥƥѹɬפʽ¹Ԥޤ
     * 
     * @param property ץѥƥ
     */
    virtual void updateProperty(const PropertyData& property);

    /**
     * ᥤ󥦥ɥ֤ɽޤ
     */
    virtual void show(int x, int y);

protected:
    /**
     * ޥܥ󲡲
     */
    virtual bool on_button_press_event(GdkEventButton* pEvent)
    {
        return FusenshiMainWndEventProcessor::on_button_press_event(pEvent);
    }

    /**
     * ɥνλ׵α
     */
    virtual bool on_delete_event(GdkEventAny* pEvent);
    
    /**
     * ƥȥ쥤ݡȤ줿Υ٥Ȥα
     */
    virtual void on_systemtray_attach();
    
    /**
     * ƥȥ쥤˴줿Υ٥Ȥα
     */
    virtual void on_systemtray_dettach();
    
    /**
     * ƥȥ쥤ؤϿ٥Ȥα
     */
    virtual void on_systemtrayicon_connected();

private:
    /**
     * 󥹥ȥ饯
     */
    FusenshiMainWnd();
    
    /**
     * ȥ쥤ɽߤޤ
     */
    bool createTrayIcon();

private:
    /**
     * ᥤܥ
     */
    Gtk::Button m_cMainButton;
    
    /**
     * ȥ쥤
     */
    FusenshiMainWnd_TrayIcon *m_pTrayIcon;
    
private:
    /**
     * ͣΥ󥹥
     */
    static FusenshiMainWnd    *m_pInstance;
};

#endif
