/*
 * $Id: wnd.h,v 1.4 2005/04/09 16:48:51 ozawa Exp $
 *
 * Copyright 2003- ONGS Inc. All rights reserved.
 * 
 * author: Masanori OZAWA (ozawa@ongs.co.jp)
 * version: $Revision: 1.4 $
 *
 * Redistribution and use in source and binary forms, with or without 
 * modification, are pergmitted provided that the following conditions
 * are met:
 * 
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *      documentation and/or other materials provided with the distribution.
 * 
 * THIS SOFTWARE IS PROVIDED BY ONGS INC ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL ONGS INC OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * The views and conclusions contained in the software and documentation are
 * those of the authors and should not be interpreted as representing official
 * policies, either expressed or implied, of the ONGS Inc.
 * 
 */

#ifndef ___WND_H
#define ___WND_H

#ifndef __cplusplus
#define __cplusplus
#endif

#include <gtkmm.h>

enum WND_TYPE {
    WND_TYPE_NORMAL = 1,
    WND_TYPE_SIMPLE
};

typedef struct _WND_GLOBAL_PROP {
  int   initWndPosX;
  int   initWndPosY;
  WND_TYPE  wndType;
} WND_GLOBAL_PROP, *LP_WND_GLOBAL_PROP;

typedef struct _WND_WRAPMODETABLE {
    const char     *text;
    Gtk::WrapMode   value;
} WndWrapModeTable;

extern const WndWrapModeTable g_WndWrapModeTable[];

/**
 * ɥץ򳫻Ϥޤ
 * 
 * @param inFD եI/OץȤΥѥ
 * @param outFD եI/OץȤΥѥ
 * @param lpWndGlobalProp ɥ
 */
extern void windowServiceStart
    (int inFD, int outFD, LP_WND_GLOBAL_PROP lpWndGlobalProp);

#endif
